GNU bug report logs - #56013
28.1; "gio open" and "xdg-open" fail silently under eshell

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Jeff Kowalski <jeff.kowalski@HIDDEN>; dated Thu, 16 Jun 2022 06:27:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 56013 <at> debbugs.gnu.org:


Received: (at 56013) by debbugs.gnu.org; 17 Jun 2022 12:00:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 17 08:00:09 2022
Received: from localhost ([127.0.0.1]:43965 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o2Ae1-00006J-5p
	for submit <at> debbugs.gnu.org; Fri, 17 Jun 2022 08:00:09 -0400
Received: from quimby.gnus.org ([95.216.78.240]:54442)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1o2Adt-0008VA-KD
 for 56013 <at> debbugs.gnu.org; Fri, 17 Jun 2022 08:00:03 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=4jM28Q+/Sww1vl5VWiBXtn/KZ9K+tv1mvpXmF+hNd0I=; b=VnjugB23guSzFi8qlCJBGfdgRE
 cDw/KLGHROlhipobpxQBCsZ/P4XJqqM2YiVEovF5ONj3LbDrMunvx/XFAUxsmZARIdngjWj34tWxl
 0Tku5tDio0Vja1y79SquHrm2/EZh3OdPv88/S0ydMb+qby3TANq50HltPblVWhAMGgNQ=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1o2Adj-0002h1-SB; Fri, 17 Jun 2022 13:59:54 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Andreas Schwab <schwab@HIDDEN>
Subject: Re: bug#56013: 28.1; "gio open" and "xdg-open" fail silently under
 eshell
References: <CAG-eCj5Ro3ZZy-NL5n6swZBBvr1=7QwLOfnCQV0Z3Q7AWopfYw@HIDDEN>
 <87h74kes5l.fsf@HIDDEN> <87czf88yre.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAgMAAAAqbBEUAAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAACVBMVEU2Pj+OeFf///+r
 WAvDAAAAAWJLR0QCZgt8ZAAAAAlwSFlzAAAuIwAALiMBeKU/dgAAAAd0SU1FB+YGEQs6J+faE5YA
 AAEeSURBVCjPTZFRjsMgDETHEv4HCe5jpObfSPj+V9kxSZtFSpqHzczgolnpAPgEcM2uBIMQIloC
 DrSxpqEBSlhd3Vi4diG0cAhk8AfSplc2rUEoa2xumcVproNbaDtFrxZ1mg4kFN8XxbesA5BpUnEU
 qDUhwmIGqQTo7g8ws0xNhfk0ZFJQJW0rQyHvVjJDVlSdpymX9ck0slOmMii9eP98QysO2BFUo3lY
 vtE6iqUXM6ZE4e6EsvLhhotF1rMBrtZBO1TGqHk4zzAJ2/ihH9zrwO20/YWWAoR5X/S460nXca4i
 p60wsXq9/AZGGn55/4J4+G2Ts9xrv57eHuDfSee4hzciYqtUfFeV5T9w2Z8f2Bnety1n+gLiPcPZ
 4N/qfyafNBAw3keoAAAAJXRFWHRkYXRlOmNyZWF0ZQAyMDIyLTA2LTE3VDExOjU4OjM5KzAwOjAw
 /EEBIgAAACV0RVh0ZGF0ZTptb2RpZnkAMjAyMi0wNi0xN1QxMTo1ODozOSswMDowMI0cuZ4AAAAA
 SUVORK5CYII=
X-Now-Playing: Loma's _Don't Shy Away_: "Breaking Waves Like a Stone"
Date: Fri, 17 Jun 2022 13:59:50 +0200
In-Reply-To: <87czf88yre.fsf@HIDDEN> (Andreas Schwab's message of "Thu, 16
 Jun 2022 16:32:37 +0200")
Message-ID: <87ilozbivd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Andreas Schwab <schwab@HIDDEN> writes: > See
 bug#44824. Ah, right. The fix proposed there was: 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 56013
Cc: Jim Porter <jporterbugs@HIDDEN>, 56013 <at> debbugs.gnu.org,
 Jeff Kowalski <jeff.kowalski@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Andreas Schwab <schwab@HIDDEN> writes:

> See bug#44824.

Ah, right.  The fix proposed there was:

    org.el: Avoid xdg-open silent failure
    
    * lisp/org.el (org-open-file): Use 'pipe :connection-type instead of
    'pty to prevent killing of background process on handler exit.

Perhaps Jim has some comments here; added to the CCs.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56013; Package emacs. Full text available.

Message received at 56013 <at> debbugs.gnu.org:


Received: (at 56013) by debbugs.gnu.org; 16 Jun 2022 14:32:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 16 10:32:45 2022
Received: from localhost ([127.0.0.1]:42768 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o1qY9-0004oC-IK
	for submit <at> debbugs.gnu.org; Thu, 16 Jun 2022 10:32:45 -0400
Received: from mail-out.m-online.net ([212.18.0.10]:57331)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <whitebox@HIDDEN>) id 1o1qY3-0004nx-Rn
 for 56013 <at> debbugs.gnu.org; Thu, 16 Jun 2022 10:32:43 -0400
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 4LP4QG4JR1z1s75L;
 Thu, 16 Jun 2022 16:32:38 +0200 (CEST)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 4LP4QG2Bhgz1qqkB;
 Thu, 16 Jun 2022 16:32:38 +0200 (CEST)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024)
 with ESMTP id Aswa7PsC8JMh; Thu, 16 Jun 2022 16:32:37 +0200 (CEST)
X-Auth-Info: p3Ytu98pMjU62URn1zDB4zv7JOG2Vrjy6trVvwBnw0Ahc3Iy1+FSduoXyCYxVYLF
Received: from igel.home (ppp-46-244-177-5.dynamic.mnet-online.de
 [46.244.177.5])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPSA;
 Thu, 16 Jun 2022 16:32:37 +0200 (CEST)
Received: by igel.home (Postfix, from userid 1000)
 id 3D36B2C3A5D; Thu, 16 Jun 2022 16:32:37 +0200 (CEST)
From: Andreas Schwab <schwab@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#56013: 28.1; "gio open" and "xdg-open" fail silently under
 eshell
References: <CAG-eCj5Ro3ZZy-NL5n6swZBBvr1=7QwLOfnCQV0Z3Q7AWopfYw@HIDDEN>
 <87h74kes5l.fsf@HIDDEN>
X-Yow: I can't decide which WRONG TURN to make first!!
 I wonder if BOB GUCCIONE has these problems!
Date: Thu, 16 Jun 2022 16:32:37 +0200
In-Reply-To: <87h74kes5l.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Thu,
 16 Jun 2022 13:58:46 +0200")
Message-ID: <87czf88yre.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 56013
Cc: 56013 <at> debbugs.gnu.org, Jeff Kowalski <jeff.kowalski@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.5 (-)

See bug#44824.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56013; Package emacs. Full text available.

Message received at 56013 <at> debbugs.gnu.org:


Received: (at 56013) by debbugs.gnu.org; 16 Jun 2022 14:22:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 16 10:22:18 2022
Received: from localhost ([127.0.0.1]:42736 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o1qO2-0002Kc-24
	for submit <at> debbugs.gnu.org; Thu, 16 Jun 2022 10:22:18 -0400
Received: from mail-out.m-online.net ([212.18.0.9]:60282)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <whitebox@HIDDEN>) id 1o1qNx-0002KS-29
 for 56013 <at> debbugs.gnu.org; Thu, 16 Jun 2022 10:22:16 -0400
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 4LP4BC4mHLz1qyJ7;
 Thu, 16 Jun 2022 16:22:11 +0200 (CEST)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 4LP4BC35hmz1qqkB;
 Thu, 16 Jun 2022 16:22:11 +0200 (CEST)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024)
 with ESMTP id s-Mef9RGeIyx; Thu, 16 Jun 2022 16:22:10 +0200 (CEST)
X-Auth-Info: ecBF+m1SXpNHP/xCYPGHrAJ6C8s3QF8AzVihhg30HfJbxrVSx94kfJhtwgL5gJ/v
Received: from igel.home (ppp-46-244-177-5.dynamic.mnet-online.de
 [46.244.177.5])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPSA;
 Thu, 16 Jun 2022 16:22:10 +0200 (CEST)
Received: by igel.home (Postfix, from userid 1000)
 id 394692C3A5D; Thu, 16 Jun 2022 16:22:10 +0200 (CEST)
From: Andreas Schwab <schwab@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#56013: 28.1; "gio open" and "xdg-open" fail silently under
 eshell
References: <CAG-eCj5Ro3ZZy-NL5n6swZBBvr1=7QwLOfnCQV0Z3Q7AWopfYw@HIDDEN>
 <87h74kes5l.fsf@HIDDEN>
X-Yow: Sign my PETITION.
Date: Thu, 16 Jun 2022 16:22:10 +0200
In-Reply-To: <87h74kes5l.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Thu,
 16 Jun 2022 13:58:46 +0200")
Message-ID: <87h74k8z8t.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 56013
Cc: 56013 <at> debbugs.gnu.org, Jeff Kowalski <jeff.kowalski@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.5 (-)

On Jun 16 2022, Lars Ingebrigtsen wrote:

> Hm...  was it something to do with timing and the weird way that
> xdg-open works?

It's how it backgrounds itself, and how eshell spawns a new session for
each command.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56013; Package emacs. Full text available.

Message received at 56013 <at> debbugs.gnu.org:


Received: (at 56013) by debbugs.gnu.org; 16 Jun 2022 11:58:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 16 07:58:59 2022
Received: from localhost ([127.0.0.1]:40927 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o1o9K-0000I3-V5
	for submit <at> debbugs.gnu.org; Thu, 16 Jun 2022 07:58:59 -0400
Received: from quimby.gnus.org ([95.216.78.240]:43800)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1o1o9I-0000Hn-Rk
 for 56013 <at> debbugs.gnu.org; Thu, 16 Jun 2022 07:58:58 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=2uH7r9xaGKkBLffw9Hdu0FdX9q1WdsbSJDPYL1zJzRE=; b=sWgYCnayiKtrs62WSaQ38bmX8j
 wVqzJmdgrq0iet5lDuttIBnBLMWMCwy9MjEBQ4tHENc1tws9enSQQDrb5k4/PxMxgaymLGaR5GDNh
 qNNKBy+osMU2izNrTmotuj82rz6eDhsTsbA6TNB9voMPaAmN7abQaL9sv4jq2BdHRb0g=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1o1o99-0006fq-Vy; Thu, 16 Jun 2022 13:58:50 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Jeff Kowalski <jeff.kowalski@HIDDEN>
Subject: Re: bug#56013: 28.1; "gio open" and "xdg-open" fail silently under
 eshell
References: <CAG-eCj5Ro3ZZy-NL5n6swZBBvr1=7QwLOfnCQV0Z3Q7AWopfYw@HIDDEN>
X-Now-Playing: Bogdan Raczynski's _Planet Mu 25_: "tteosintae"
Date: Thu, 16 Jun 2022 13:58:46 +0200
In-Reply-To: <CAG-eCj5Ro3ZZy-NL5n6swZBBvr1=7QwLOfnCQV0Z3Q7AWopfYw@HIDDEN>
 (Jeff Kowalski's message of "Wed, 15 Jun 2022 20:18:18 -0700")
Message-ID: <87h74kes5l.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Jeff Kowalski <jeff.kowalski@HIDDEN> writes: > Emacs
 behavior:
 > $ emacs -Q > ;; now in emacs > M-x eshell > ;; now in eshell buffer > $
 gio open /tmp/hello.txt > ;; BAD RESULT - nothing happens, app not opened,
 silent failure, nothing > in mess [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 56013
Cc: 56013 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Jeff Kowalski <jeff.kowalski@HIDDEN> writes:

> Emacs behavior:
> $ emacs -Q
> ;; now in emacs
> M-x eshell
> ;; now in eshell buffer
> $ gio open /tmp/hello.txt
> ;; BAD RESULT - nothing happens, app not opened, silent failure, nothing
> in message buffer
> $ xdg-open /tmp/hello.txt
> ;; BAD RESULT - nothing happens, app not opened, silent failure, nothing
> in message buffer

[...]

> In GNU Emacs 28.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.20, cairo
> version 1.16.0)
>  of 2022-05-30 built on lcy02-amd64-022
> Windowing system distributor 'The X.Org Foundation', version 11.0.12013000
> System Description: Linux Mint 20.3

I'm unable to reproduce this problem (Debian/bookworm, Gnome Shell), but
I vaguely remember other reports about xdg-open not working in some
circumstances -- I don't remember the details.  Anybody else remember?

Hm...  was it something to do with timing and the weird way that
xdg-open works?  Hm, no, don't remember.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56013; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Jun 2022 06:26:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 16 02:26:52 2022
Received: from localhost ([127.0.0.1]:40495 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o1ixv-0003hy-91
	for submit <at> debbugs.gnu.org; Thu, 16 Jun 2022 02:26:52 -0400
Received: from lists.gnu.org ([209.51.188.17]:60948)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jeff.kowalski@HIDDEN>) id 1o1g1j-0006wX-9C
 for submit <at> debbugs.gnu.org; Wed, 15 Jun 2022 23:18:36 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:38432)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jeff.kowalski@HIDDEN>)
 id 1o1g1j-0007UX-3V
 for bug-gnu-emacs@HIDDEN; Wed, 15 Jun 2022 23:18:35 -0400
Received: from mail-vs1-xe30.google.com ([2607:f8b0:4864:20::e30]:43804)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <jeff.kowalski@HIDDEN>)
 id 1o1g1f-0001N7-Ij
 for bug-gnu-emacs@HIDDEN; Wed, 15 Jun 2022 23:18:34 -0400
Received: by mail-vs1-xe30.google.com with SMTP id r4so66914vsf.10
 for <bug-gnu-emacs@HIDDEN>; Wed, 15 Jun 2022 20:18:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:from:date:message-id:subject:to;
 bh=kdhXKYwvVhTbhf4F+YNj9rd72+e9Io/Nuc7mCdkRsZc=;
 b=LKW6VTsl8hS6fcDdHEOSm2+kSZxcZpDzItNS0y9+ul3iSRywxTwDPJK9s5vOhCdexe
 iK4T3prlcYY+Bkdmm1q31g2Rkkp1Crj/xZ52BZCy/GHbz8rqzIk7Q+WCeNRFpimxphB2
 WidlmzoV4rp90sprNmajqJrhrNDpp9lHie3k0MEs/rN2tQF2M+Gb4S5s85KCH78DnQQx
 0s9nRxR2OAuWa9EGk7qyVowY86k+Ga/9D8TZS8km/jfWsV8cp20ymm+pr/zuym8CBX9T
 ZXVf719CX8Wto0Bb+WeX+1ARD35qSKPiEeypkQ1A+gKR+SgDEKLzLJSpKWaDLxvkqZZg
 J3eQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=kdhXKYwvVhTbhf4F+YNj9rd72+e9Io/Nuc7mCdkRsZc=;
 b=24jjh8a94v+Cn4mGLa8tRPEjFdhopEFN+ro9m14yCqLQRJt0A67VENcM1vsHDD6kCE
 bAxJffEnszqVsmYpY3Lvy+nv2vvZZsa23qFSRThIDf/qfIRO48rDI+yOw+i7PXeleucx
 TibWyINqiY+2SItB9TSGmxd90njlUslV8/hc/NggDqiGtHk04OtiSJiuvEbIkNMXKpIe
 XFU/g9odvjtaZkOTgZ0aP/KAADUACaeOjEYpakRKsimHmawR9h39qDNdoiuKHSll41LT
 /B6M0LgSNbeeeB/VQKcdKNsa3UZWpxUquGOvUNr+zOvLXyiWX1cHhf1zAIZAAaxmBxLp
 hWKQ==
X-Gm-Message-State: AJIora8nufDUnWQ27V4ngmwskn8KcqY/IiVV3Xr4GypPGvO5/GCy8AXS
 W6O9lHfkezYNL73cjlUXV3Ie/ArtLNn653nnqGqI/TDzwIE=
X-Google-Smtp-Source: AGRyM1uEpxPX0HwNqOfTEs9a9RrCqPSxPDB/sKprSfzOgy91llo/aSShR/ey9q7NuDSSF7f8a9nTJnnUD2uTgNcceiA=
X-Received: by 2002:a05:6102:38ca:b0:34c:2402:1a20 with SMTP id
 k10-20020a05610238ca00b0034c24021a20mr1593470vst.83.1655349509373; Wed, 15
 Jun 2022 20:18:29 -0700 (PDT)
MIME-Version: 1.0
From: Jeff Kowalski <jeff.kowalski@HIDDEN>
Date: Wed, 15 Jun 2022 20:18:18 -0700
Message-ID: <CAG-eCj5Ro3ZZy-NL5n6swZBBvr1=7QwLOfnCQV0Z3Q7AWopfYw@HIDDEN>
Subject: 28.1; "gio open" and "xdg-open" fail silently under eshell
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="0000000000007c441405e188175c"
Received-SPF: pass client-ip=2607:f8b0:4864:20::e30;
 envelope-from=jeff.kowalski@HIDDEN; helo=mail-vs1-xe30.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 HTML_MESSAGE=0.001, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 16 Jun 2022 02:26:50 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--0000000000007c441405e188175c
Content-Type: text/plain; charset="UTF-8"

Setup:
$ echo "Hello, world!" > /tmp/hello.txt

Normal behavior:
$ gnome-terminal
;; now within terminal
$ gio open /tmp/hello.txt
;; GOOD RESULT - file is opened in app, as described by mime type. On my
system, app is 'Xed'

Emacs behavior:
$ emacs -Q
;; now in emacs
M-x eshell
;; now in eshell buffer
$ gio open /tmp/hello.txt
;; BAD RESULT - nothing happens, app not opened, silent failure, nothing
in message buffer
$ xdg-open /tmp/hello.txt
;; BAD RESULT - nothing happens, app not opened, silent failure, nothing
in message buffer

I've tried making my $ENV identical between normal terminal and eshell,
but I get the same results.

Thanks for your help,
Jeff Kowalski
---------

In GNU Emacs 28.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.20,
cairo version 1.16.0)
 of 2022-05-30 built on lcy02-amd64-022
Windowing system distributor 'The X.Org Foundation', version 11.0.12013000
System Description: Linux Mint 20.3

Configured using:
 'configure --build=x86_64-linux-gnu --prefix=/usr
 '--includedir=${prefix}/include' '--mandir=${prefix}/share/man'
 '--infodir=${prefix}/share/info' --sysconfdir=/etc --localstatedir=/var
 --disable-silent-rules '--libdir=${prefix}/lib/x86_64-linux-gnu'
 '--libexecdir=${prefix}/lib/x86_64-linux-gnu' --disable-maintainer-mode
 --disable-dependency-tracking --prefix=/usr --sharedstatedir=/var/lib
 --libexecdir=/usr/lib --localstatedir=/var/lib
 --infodir=/usr/share/info --mandir=/usr/share/man
 --enable-locallisppath=/etc/emacs:/usr/local/share/emacs/28.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/28.1/site-lisp:/usr/share/emacs/site-lisp
 --program-suffix=28 --with-modules --with-file-notification=inotify
 --with-mailutils --with-harfbuzz --with-json --with-zlib --with-x=yes
 --with-x-toolkit=gtk3 --with-lcms2 --with-cairo --with-xpm=yes
 --with-gif=yes --with-gnutls=yes --with-jpeg=yes --with-png=yes
 --with-tiff=yes --with-xwidgets 'CFLAGS=-g -O2
 -fdebug-prefix-map=/build/emacs28-jmphgn/emacs28-28.1~1.git5a223c7f2e=.
-fstack-protector-strong
 -Wformat -Werror=format-security -no-pie' 'CPPFLAGS=-Wdate-time
 -D_FORTIFY_SOURCE=2' 'LDFLAGS=-Wl,-Bsymbolic-functions -Wl,-z,relro
 -no-pie''

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
JSON LCMS2 LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2 M17N_FLT MODULES NOTIFY
INOTIFY PDUMPER PNG RSVG SECCOMP SOUND THREADS TIFF TOOLKIT_SCROLL_BARS
X11 XDBE XIM XPM XWIDGETS GTK3 ZLIB

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Info

Minor modes in effect:
  minions-mode: t
  doom-modeline-mode: t
  dimmer-mode: t
  auto-dim-other-buffers-mode: t
  global-atomic-chrome-edit-mode: t
  org-super-agenda-mode: t
  global-git-commit-mode: t
  magit-auto-revert-mode: t
  global-rbenv-mode: t
  counsel-mode: t
  eshell-vterm-mode: t
  eshell-syntax-highlighting-global-mode: t
  cua-mode: t
  display-time-mode: t
  which-key-mode: t
  override-global-mode: t
  global-flycheck-mode: t
  global-hl-todo-mode: t
  which-function-mode: t
  key-chord-mode: t
  global-company-mode: t
  company-mode: t
  ivy-mode: t
  erc-truncate-mode: t
  erc-track-mode: t
  erc-spelling-mode: t
  editorconfig-mode: t
  global-diff-hl-mode: t
  winner-mode: t
  global-undo-tree-mode: t
  undo-tree-mode: t
  global-anzu-mode: t
  anzu-mode: t
  projectile-mode: t
  volatile-highlights-mode: t
  global-hl-line-mode: t
  super-save-mode: t
  windmove-mode: t
  recentf-mode: t
  savehist-mode: t
  save-place-mode: t
  show-smartparens-global-mode: t
  global-auto-revert-mode: t
  delete-selection-mode: t
  prelude-mode: t
  shell-dirtrack-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  size-indication-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
/home/jeff/.emacs.d/elpa/git-modes-20220422.1611/gitignore-mode hides
/home/jeff/.emacs.d/elpa/gitignore-mode-20210528.1856/gitignore-mode
/home/jeff/.emacs.d/elpa/el-get-20211224.959/el-get-install hides
/home/jeff/.emacs.d/elpa/load-relative-20201130.2202/el-get-install
/home/jeff/.emacs.d/el-get/emacs-web-server/web-server-status-codes hides
/home/jeff/.emacs.d/elpa/web-server-20210708.2242/web-server-status-codes
/home/jeff/.emacs.d/el-get/emacs-web-server/web-server hides
/home/jeff/.emacs.d/elpa/web-server-20210708.2242/web-server
/home/jeff/.emacs.d/elpa/cmake-mode-20220322.1258/cmake-mode hides
/usr/share/emacs/site-lisp/cmake-mode
/home/jeff/.emacs.d/elpa/clang-format-20191121.1708/clang-format hides
/usr/share/emacs/site-lisp/clang-format/clang-format
/home/jeff/.emacs.d/elpa/transient-20220527.2213/transient hides
/usr/share/emacs/28.1/lisp/transient
/home/jeff/.emacs.d/el-get/flymake/flymake hides
/usr/share/emacs/28.1/lisp/progmodes/flymake

Features:
(shadow sort mail-extr emacsbug sendmail goto-addr esh-autosuggest
em-unix em-script em-prompt em-ls em-hist em-pred em-glob em-cmpl
em-dirs esh-var em-basic em-banner diary-lib diary-loaddefs cal-iso
org-duration ffap ol-eww eww url-queue mm-url ol-rmail ol-mhe ol-irc
ol-info ol-gnus nnselect gnus-search eieio-opt speedbar ezimage dframe
gnus-art mm-uu mml2015 mm-view mml-smime smime dig gnus-sum shr kinsoku
svg gnus-group gnus-undo gnus-start gnus-dbus dbus gnus-cloud nnimap
nnmail mail-source utf7 netrc nnoo gnus-spec gnus-int gnus-range
gnus-win gnus nnheader ol-docview ol-bibtex ol-bbdb ol-w3m ol-doi
org-link-doi origami origami-parsers solarized-gruvbox-dark-theme
solarized-palettes rainbow-mode rainbow-delimiters elisp-slime-nav
personal mule-util company-ispell company-anaconda anaconda-mode
pythonic minions doom-modeline doom-modeline-segments doom-modeline-env
doom-modeline-core all-the-icons all-the-icons-faces data-material
data-weathericons data-octicons data-fileicons data-faicons
data-alltheicons solarized-theme solarized solarized-faces dimmer
auto-dim-other-buffers hydra atomic-chrome websocket bindat let-alist
shackle trace org-ehtml org-ehtml-server ox-ehtml org-ehtml-util ox-org
org-lint org-attach org-id org-protocol org-clock org-super-agenda ts
htmlize org-habit ox-odt ox-latex ox-icalendar org-agenda ox-html table
ox-ascii ox-publish ox org-indent ob-gnuplot ob-latex ob-dot ob-ruby
ob-python ob-shell ace-window magit-bookmark magit-submodule
magit-obsolete magit-popup magit-blame magit-stash magit-reflog
magit-bisect magit-push magit-pull magit-fetch magit-clone magit-remote
magit-commit magit-sequence magit-notes magit-worktree magit-tag
magit-merge magit-branch magit-reset magit-files magit-refs magit-status
magit magit-repos magit-apply magit-wip magit-log magit-diff smerge-mode
git-commit log-edit message rfc822 mml mml-sec epa gnus-util rmail
rmail-loaddefs mm-decode mm-bodies mailabbrev mail-utils gmm-utils
mailheader add-log magit-core magit-autorevert magit-margin
magit-transient magit-process with-editor server magit-mode transient
magit-git magit-base magit-section crm compat-27 compat-26
platformio-mode async irony-eldoc irony-completion irony-snippet
flycheck-irony irony-diagnostics irony irony-iotask realgud-byebug
realgud:byebug-track-mode realgud:byebug-init realgud:byebug-core
realgud-pry realgud:pry-track-mode realgud:pry-init realgud:pry-core
realgud realgud-lang-java realgud-zshdb realgud:zshdb-track-mode
realgud:zshdb-core realgud:zshdb-init realgud-trepan3k
realgud:trepan3k-track-mode realgud:trepan3k-core realgud:trepan3k-init
realgud-trepan2 realgud:trepan2-track-mode realgud:trepan2-core
realgud:trepan2-init realgud-trepanpl realgud:trepanpl-track-mode
realgud:trepanpl-core realgud:trepanpl-init realgud-trepanjs
realgud:trepanjs-track-mode realgud:trepanjs-core realgud:trepanjs-init
realgud-lang-js realgud-trepan realgud:trepan-track-mode
realgud:trepan-core realgud:trepan-init realgud-remake
realgud:remake-track-mode realgud:remake-core realgud:remake-init
realgud-rdebug realgud-rdebug-track-mode realgud-rdebug-core
realgud-rdebug-init realgud-lang-ruby realgud-perldb
realgud:perldb-track-mode realgud:perldb-core realgud:perldb-init
realgud-lang-perl realgud-pdb realgud:pdb-track-mode realgud:pdb-core
realgud:pdb-init realgud-lang-python python-el-fgallina-expansions
smartparens-python python tramp-sh realgud-kshdb
realgud:kshdb-track-mode realgud:kshdb-core realgud:kshdb-init
realgud-gub realgud:gub-track-mode realgud:gub-core realgud:gub-init
realgud-gdb realgud:gdb-track-mode realgud:gdb-init realgud:gdb-core
realgud-bashdb realgud:bashdb-track-mode realgud:bashdb-core
realgud:bashdb-init realgud-lang-posix-shell realgud:run
realgud-locals-mode realgud-breakpoint-mode realgud-backtrack-mode
realgud-track-mode realgud-backtrace-mode realgud-track realgud-init
realgud-file realgud-attach realgud-shortkey realgud-menu realgud-eval
realgud-cmds realgud-core realgud-reset realgud-bp realgud-bp-image-data
realgud-lang realgud-send realgud-window realgud-buffer-helper
realgud-buffer-breakpoint realgud-buffer-backtrace realgud-locals
realgud-buffer-locals realgud-utils realgud-buffer-command
realgud-buffer-info realgud-regexp realgud-lochist realgud-loc
realgud-buffer-source realgud-key realgud-custom key realgud-follow
loc-changes realgud-fringe realgud-helper load-relative inf-ruby rbenv
ruby-tools ruby-mode-expansions smartparens-ruby ruby-mode counsel xdg
swiper smex ido cmake-mode smartparens-rst rst eshell-vterm em-term
vterm face-remap term ehelp vterm-module term/xterm xterm em-smart
eshell-syntax-highlighting em-alias esh-mode shrink-path fish-mode
flycheck-plantuml plantuml-mode xml ob-plantuml graphviz-dot-mode
doc-view jka-compr image-mode exif cperl-mode-expansions cperl-mode
cua-base package-utils time ccls ccls-member-hierarchy
ccls-inheritance-hierarchy ccls-call-hierarchy ccls-tree ccls-code-lens
ccls-semantic-highlight ccls-common lsp-mode lsp-protocol spinner
network-stream puny nsm rmc smartparens-markdown markdown-mode lv f
f-shortdoc shortdoc epg rfc6068 epg-config which-key lpr
use-package-chords bind-chord equake buffer-focus-hook
org-capture-pop-frame org-capture org-refile web-server mm-encode
web-server-content-types web-server-status-codes eshell-git-prompt s
org-cua-dwim org-expiry el-get el-get-autoloading el-get-list-packages
el-get-dependencies el-get-build el-get-status el-get-methods
el-get-fossil el-get-svn el-get-pacman el-get-github-zip
el-get-github-tar el-get-http-zip el-get-http-tar el-get-hg el-get-go
el-get-git-svn el-get-fink el-get-emacswiki el-get-http el-get-notify
el-get-emacsmirror el-get-github el-get-git el-get-elpa el-get-darcs
el-get-cvs el-get-bzr el-get-brew el-get-builtin el-get-apt-get
el-get-recipes el-get-byte-compile el-get-custom el-get-core autoload
radix-tree validate req-package view req-package-cycles req-package-args
req-package-hooks ht inline log4e use-package use-package-ensure
use-package-delight use-package-diminish use-package-bind-key bind-key
use-package-core prelude-yaml prelude-xml nxml-mode-expansions rng-nxml
rng-valid rng-loc rng-uri rng-parse nxml-parse rng-match rng-dt rng-util
rng-pttrn nxml-ns nxml-mode nxml-outln nxml-rap html-mode-expansions
sgml-mode facemenu dom nxml-util nxml-enc xmltok prelude-web
web-mode-expansions smartparens-html web-mode disp-table prelude-shell
sh-script smie executable prelude-ruby prelude-python prelude-perl
prelude-org the-org-mode-expansions org-element avl-tree smartparens-org
org ob ob-tangle ob-ref ob-lob ob-table ob-exp org-macro org-footnote
org-src ob-comint org-pcomplete org-list org-faces org-entities noutline
outline org-version ob-emacs-lisp ob-core ob-eval org-table oc-basic
bibtex ol org-keys oc org-compat org-macs org-loaddefs cal-menu calendar
cal-loaddefs prelude-js js2-mode-expansions js2-mode js-mode-expansions
smartparens-javascript js cc-mode-expansions smartparens-c cc-mode
cc-fonts cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars
cc-defs prelude-emacs-lisp prelude-lisp prelude-c prelude-programming
flycheck find-func hl-todo compat compat-macs which-func
prelude-key-chord key-chord prelude-company company-oddmuse
company-keywords make-mode company-etags company-gtags
company-dabbrev-code company-dabbrev company-files company-clang
company-capf company-cmake company-semantic company-template
company-bbdb company prelude-ivy two-column ivy ivy-faces ivy-overlay
colir color prelude-erc erc-truncate erc-track erc-match erc-autoaway
erc-spelling erc-notify erc-networks erc-log erc-goodies erc erc-backend
erc-loaddefs prelude-linux exec-path-from-shell
prelude-global-keybindings warnings prelude-editor editorconfig
editorconfig-core editorconfig-core-handle editorconfig-fnmatch
operate-on-number calc-bin calc-ext calc calc-loaddefs calc-macs diff-hl
smartrep log-view pcvs-util vc-dir ewoc vc vc-dispatcher diff-mode
winner undo-tree diff queue eshell esh-cmd esh-ext esh-opt esh-proc
esh-io esh-arg esh-module esh-groups esh-util re-builder whitespace
tabify browse-kill-ring derived midnight ediff ediff-merg ediff-mult
ediff-wind ediff-diff ediff-help ediff-init ediff-util dired-x dired
dired-loaddefs anzu avy projectile lisp-mnt mail-parse rfc2231 rfc2047
rfc2045 mm-util ietf-drums mail-prsvr grep compile ibuf-ext ibuffer
ibuffer-loaddefs bookmark text-property-search expand-region
text-mode-expansions er-basic-expansions expand-region-core
expand-region-custom flyspell ispell rect etags fileloop generator xref
project volatile-highlights hl-line super-save windmove recentf
tree-widget savehist saveplace diminish smartparens-config
smartparens-text smartparens advice dash autorevert filenotify delsel
prelude-mode edmacro kmacro crux easy-mmode pcase tramp tramp-loaddefs
trampver tramp-integration files-x tramp-compat shell pcomplete comint
ansi-color ring parse-time iso8601 time-date ls-lisp format-spec
thingatpt imenu-anywhere imenu prelude-core epl prelude-ui zenburn-theme
prelude-custom prelude-packages cl-extra help-mode finder-inf preload
cus-edit pp cus-load wid-edit ede/auto eieio-base tex-site rx
realgud-recursive-autoloads cl info package browse-url url url-proxy
url-privacy url-expand url-methods url-history url-cookie url-domsuf
url-util mailcap url-handlers url-parse auth-source cl-seq eieio
eieio-core cl-macs eieio-loaddefs password-cache json subr-x map
url-vars seq byte-opt gv bytecomp byte-compile cconv cl-loaddefs cl-lib
iso-transl tooltip eldoc paren electric uniquify ediff-hook vc-hooks
lisp-float-type elisp-mode mwheel term/x-win x-win term/common-win x-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode lisp-mode prog-mode register page tab-bar menu-bar
rfn-eshadow isearch easymenu timer select scroll-bar mouse jit-lock
font-lock syntax font-core term/tty-colors frame minibuffer cl-generic
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite emoji-zwj charscript
charprop case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice button loaddefs faces cus-face macroexp files
window text-properties overlay sha1 md5 base64 format env code-pages
mule custom widget hashtable-print-readable backquote threads
xwidget-internal dbusbind inotify lcms2 dynamic-setting
system-font-setting font-render-setting cairo move-toolbar gtk x-toolkit
x multi-tty make-network-process emacs)

Memory information:
((conses 16 2427653 696067)
 (symbols 48 85570 62)
 (strings 32 379359 114192)
 (string-bytes 1 10987724)
 (vectors 16 131074)
 (vector-slots 8 2422995 586466)
 (floats 8 1318 2569)
 (intervals 56 140887 10141)
 (buffers 992 28))

--0000000000007c441405e188175c
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Setup:<br>$ echo &quot;Hello, world!&quot; &gt; /tmp/hello=
.txt<br><br>Normal behavior:<br>$ gnome-terminal<br>;; now within terminal<=
br>$ gio open /tmp/hello.txt<br>;; GOOD RESULT - file is opened in app, as =
described by mime type. On my system, app is &#39;Xed&#39;<br><br>Emacs beh=
avior:<br>$ emacs -Q<br>;; now in emacs<br>M-x eshell<br>;; now in eshell b=
uffer<br>$ gio open /tmp/hello.txt<br>;; BAD RESULT - nothing happens, app =
not opened, silent failure, nothing<br>in message buffer<br>$ xdg-open /tmp=
/hello.txt<br>;; BAD RESULT - nothing happens, app not opened, silent failu=
re, nothing<br>in message buffer<div><br>I&#39;ve tried making my $ENV iden=
tical between normal terminal and eshell,<br>but I get the same results.<br=
><br>Thanks for your help,<div>Jeff Kowalski<br>---------<div><br>In GNU Em=
acs 28.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.20, cairo version=
 1.16.0)<br>=C2=A0of 2022-05-30 built on lcy02-amd64-022<br>Windowing syste=
m distributor &#39;The X.Org Foundation&#39;, version 11.0.12013000<br>Syst=
em Description: Linux Mint 20.3<br><br>Configured using:<br>=C2=A0&#39;conf=
igure --build=3Dx86_64-linux-gnu --prefix=3D/usr<br>=C2=A0&#39;--includedir=
=3D${prefix}/include&#39; &#39;--mandir=3D${prefix}/share/man&#39;<br>=C2=
=A0&#39;--infodir=3D${prefix}/share/info&#39; --sysconfdir=3D/etc --localst=
atedir=3D/var<br>=C2=A0--disable-silent-rules &#39;--libdir=3D${prefix}/lib=
/x86_64-linux-gnu&#39;<br>=C2=A0&#39;--libexecdir=3D${prefix}/lib/x86_64-li=
nux-gnu&#39; --disable-maintainer-mode<br>=C2=A0--disable-dependency-tracki=
ng --prefix=3D/usr --sharedstatedir=3D/var/lib<br>=C2=A0--libexecdir=3D/usr=
/lib --localstatedir=3D/var/lib<br>=C2=A0--infodir=3D/usr/share/info --mand=
ir=3D/usr/share/man<br>=C2=A0--enable-locallisppath=3D/etc/emacs:/usr/local=
/share/emacs/28.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/ema=
cs/28.1/site-lisp:/usr/share/emacs/site-lisp<br>=C2=A0--program-suffix=3D28=
 --with-modules --with-file-notification=3Dinotify<br>=C2=A0--with-mailutil=
s --with-harfbuzz --with-json --with-zlib --with-x=3Dyes<br>=C2=A0--with-x-=
toolkit=3Dgtk3 --with-lcms2 --with-cairo --with-xpm=3Dyes<br>=C2=A0--with-g=
if=3Dyes --with-gnutls=3Dyes --with-jpeg=3Dyes --with-png=3Dyes<br>=C2=A0--=
with-tiff=3Dyes --with-xwidgets &#39;CFLAGS=3D-g -O2<br>=C2=A0-fdebug-prefi=
x-map=3D/build/emacs28-jmphgn/emacs28-28.1~1.git5a223c7f2e=3D. -fstack-prot=
ector-strong<br>=C2=A0-Wformat -Werror=3Dformat-security -no-pie&#39; &#39;=
CPPFLAGS=3D-Wdate-time<br>=C2=A0-D_FORTIFY_SOURCE=3D2&#39; &#39;LDFLAGS=3D-=
Wl,-Bsymbolic-functions -Wl,-z,relro<br>=C2=A0-no-pie&#39;&#39;<br><br>Conf=
igured features:<br>ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTIN=
GS HARFBUZZ JPEG<br>JSON LCMS2 LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2 M17N_FL=
T MODULES NOTIFY<br>INOTIFY PDUMPER PNG RSVG SECCOMP SOUND THREADS TIFF TOO=
LKIT_SCROLL_BARS<br>X11 XDBE XIM XPM XWIDGETS GTK3 ZLIB<br><br>Important se=
ttings:<br>=C2=A0 value of $LANG: en_US.UTF-8<br>=C2=A0 locale-coding-syste=
m: utf-8-unix<br><br>Major mode: Info<br><br>Minor modes in effect:<br>=C2=
=A0 minions-mode: t<br>=C2=A0 doom-modeline-mode: t<br>=C2=A0 dimmer-mode: =
t<br>=C2=A0 auto-dim-other-buffers-mode: t<br>=C2=A0 global-atomic-chrome-e=
dit-mode: t<br>=C2=A0 org-super-agenda-mode: t<br>=C2=A0 global-git-commit-=
mode: t<br>=C2=A0 magit-auto-revert-mode: t<br>=C2=A0 global-rbenv-mode: t<=
br>=C2=A0 counsel-mode: t<br>=C2=A0 eshell-vterm-mode: t<br>=C2=A0 eshell-s=
yntax-highlighting-global-mode: t<br>=C2=A0 cua-mode: t<br>=C2=A0 display-t=
ime-mode: t<br>=C2=A0 which-key-mode: t<br>=C2=A0 override-global-mode: t<b=
r>=C2=A0 global-flycheck-mode: t<br>=C2=A0 global-hl-todo-mode: t<br>=C2=A0=
 which-function-mode: t<br>=C2=A0 key-chord-mode: t<br>=C2=A0 global-compan=
y-mode: t<br>=C2=A0 company-mode: t<br>=C2=A0 ivy-mode: t<br>=C2=A0 erc-tru=
ncate-mode: t<br>=C2=A0 erc-track-mode: t<br>=C2=A0 erc-spelling-mode: t<br=
>=C2=A0 editorconfig-mode: t<br>=C2=A0 global-diff-hl-mode: t<br>=C2=A0 win=
ner-mode: t<br>=C2=A0 global-undo-tree-mode: t<br>=C2=A0 undo-tree-mode: t<=
br>=C2=A0 global-anzu-mode: t<br>=C2=A0 anzu-mode: t<br>=C2=A0 projectile-m=
ode: t<br>=C2=A0 volatile-highlights-mode: t<br>=C2=A0 global-hl-line-mode:=
 t<br>=C2=A0 super-save-mode: t<br>=C2=A0 windmove-mode: t<br>=C2=A0 recent=
f-mode: t<br>=C2=A0 savehist-mode: t<br>=C2=A0 save-place-mode: t<br>=C2=A0=
 show-smartparens-global-mode: t<br>=C2=A0 global-auto-revert-mode: t<br>=
=C2=A0 delete-selection-mode: t<br>=C2=A0 prelude-mode: t<br>=C2=A0 shell-d=
irtrack-mode: t<br>=C2=A0 tooltip-mode: t<br>=C2=A0 global-eldoc-mode: t<br=
>=C2=A0 show-paren-mode: t<br>=C2=A0 electric-indent-mode: t<br>=C2=A0 mous=
e-wheel-mode: t<br>=C2=A0 menu-bar-mode: t<br>=C2=A0 file-name-shadow-mode:=
 t<br>=C2=A0 global-font-lock-mode: t<br>=C2=A0 font-lock-mode: t<br>=C2=A0=
 blink-cursor-mode: t<br>=C2=A0 auto-composition-mode: t<br>=C2=A0 auto-enc=
ryption-mode: t<br>=C2=A0 auto-compression-mode: t<br>=C2=A0 buffer-read-on=
ly: t<br>=C2=A0 size-indication-mode: t<br>=C2=A0 column-number-mode: t<br>=
=C2=A0 line-number-mode: t<br>=C2=A0 transient-mark-mode: t<br><br>Load-pat=
h shadows:<br>/home/jeff/.emacs.d/elpa/git-modes-20220422.1611/gitignore-mo=
de hides /home/jeff/.emacs.d/elpa/gitignore-mode-20210528.1856/gitignore-mo=
de<br>/home/jeff/.emacs.d/elpa/el-get-20211224.959/el-get-install hides /ho=
me/jeff/.emacs.d/elpa/load-relative-20201130.2202/el-get-install<br>/home/j=
eff/.emacs.d/el-get/emacs-web-server/web-server-status-codes hides /home/je=
ff/.emacs.d/elpa/web-server-20210708.2242/web-server-status-codes<br>/home/=
jeff/.emacs.d/el-get/emacs-web-server/web-server hides /home/jeff/.emacs.d/=
elpa/web-server-20210708.2242/web-server<br>/home/jeff/.emacs.d/elpa/cmake-=
mode-20220322.1258/cmake-mode hides /usr/share/emacs/site-lisp/cmake-mode<b=
r>/home/jeff/.emacs.d/elpa/clang-format-20191121.1708/clang-format hides /u=
sr/share/emacs/site-lisp/clang-format/clang-format<br>/home/jeff/.emacs.d/e=
lpa/transient-20220527.2213/transient hides /usr/share/emacs/28.1/lisp/tran=
sient<br>/home/jeff/.emacs.d/el-get/flymake/flymake hides /usr/share/emacs/=
28.1/lisp/progmodes/flymake<br><br>Features:<br>(shadow sort mail-extr emac=
sbug sendmail goto-addr esh-autosuggest<br>em-unix em-script em-prompt em-l=
s em-hist em-pred em-glob em-cmpl<br>em-dirs esh-var em-basic em-banner dia=
ry-lib diary-loaddefs cal-iso<br>org-duration ffap ol-eww eww url-queue mm-=
url ol-rmail ol-mhe ol-irc<br>ol-info ol-gnus nnselect gnus-search eieio-op=
t speedbar ezimage dframe<br>gnus-art mm-uu mml2015 mm-view mml-smime smime=
 dig gnus-sum shr kinsoku<br>svg gnus-group gnus-undo gnus-start gnus-dbus =
dbus gnus-cloud nnimap<br>nnmail mail-source utf7 netrc nnoo gnus-spec gnus=
-int gnus-range<br>gnus-win gnus nnheader ol-docview ol-bibtex ol-bbdb ol-w=
3m ol-doi<br>org-link-doi origami origami-parsers solarized-gruvbox-dark-th=
eme<br>solarized-palettes rainbow-mode rainbow-delimiters elisp-slime-nav<b=
r>personal mule-util company-ispell company-anaconda anaconda-mode<br>pytho=
nic minions doom-modeline doom-modeline-segments doom-modeline-env<br>doom-=
modeline-core all-the-icons all-the-icons-faces data-material<br>data-weath=
ericons data-octicons data-fileicons data-faicons<br>data-alltheicons solar=
ized-theme solarized solarized-faces dimmer<br>auto-dim-other-buffers hydra=
 atomic-chrome websocket bindat let-alist<br>shackle trace org-ehtml org-eh=
tml-server ox-ehtml org-ehtml-util ox-org<br>org-lint org-attach org-id org=
-protocol org-clock org-super-agenda ts<br>htmlize org-habit ox-odt ox-late=
x ox-icalendar org-agenda ox-html table<br>ox-ascii ox-publish ox org-inden=
t ob-gnuplot ob-latex ob-dot ob-ruby<br>ob-python ob-shell ace-window magit=
-bookmark magit-submodule<br>magit-obsolete magit-popup magit-blame magit-s=
tash magit-reflog<br>magit-bisect magit-push magit-pull magit-fetch magit-c=
lone magit-remote<br>magit-commit magit-sequence magit-notes magit-worktree=
 magit-tag<br>magit-merge magit-branch magit-reset magit-files magit-refs m=
agit-status<br>magit magit-repos magit-apply magit-wip magit-log magit-diff=
 smerge-mode<br>git-commit log-edit message rfc822 mml mml-sec epa gnus-uti=
l rmail<br>rmail-loaddefs mm-decode mm-bodies mailabbrev mail-utils gmm-uti=
ls<br>mailheader add-log magit-core magit-autorevert magit-margin<br>magit-=
transient magit-process with-editor server magit-mode transient<br>magit-gi=
t magit-base magit-section crm compat-27 compat-26<br>platformio-mode async=
 irony-eldoc irony-completion irony-snippet<br>flycheck-irony irony-diagnos=
tics irony irony-iotask realgud-byebug<br>realgud:byebug-track-mode realgud=
:byebug-init realgud:byebug-core<br>realgud-pry realgud:pry-track-mode real=
gud:pry-init realgud:pry-core<br>realgud realgud-lang-java realgud-zshdb re=
algud:zshdb-track-mode<br>realgud:zshdb-core realgud:zshdb-init realgud-tre=
pan3k<br>realgud:trepan3k-track-mode realgud:trepan3k-core realgud:trepan3k=
-init<br>realgud-trepan2 realgud:trepan2-track-mode realgud:trepan2-core<br=
>realgud:trepan2-init realgud-trepanpl realgud:trepanpl-track-mode<br>realg=
ud:trepanpl-core realgud:trepanpl-init realgud-trepanjs<br>realgud:trepanjs=
-track-mode realgud:trepanjs-core realgud:trepanjs-init<br>realgud-lang-js =
realgud-trepan realgud:trepan-track-mode<br>realgud:trepan-core realgud:tre=
pan-init realgud-remake<br>realgud:remake-track-mode realgud:remake-core re=
algud:remake-init<br>realgud-rdebug realgud-rdebug-track-mode realgud-rdebu=
g-core<br>realgud-rdebug-init realgud-lang-ruby realgud-perldb<br>realgud:p=
erldb-track-mode realgud:perldb-core realgud:perldb-init<br>realgud-lang-pe=
rl realgud-pdb realgud:pdb-track-mode realgud:pdb-core<br>realgud:pdb-init =
realgud-lang-python python-el-fgallina-expansions<br>smartparens-python pyt=
hon tramp-sh realgud-kshdb<br>realgud:kshdb-track-mode realgud:kshdb-core r=
ealgud:kshdb-init<br>realgud-gub realgud:gub-track-mode realgud:gub-core re=
algud:gub-init<br>realgud-gdb realgud:gdb-track-mode realgud:gdb-init realg=
ud:gdb-core<br>realgud-bashdb realgud:bashdb-track-mode realgud:bashdb-core=
<br>realgud:bashdb-init realgud-lang-posix-shell realgud:run<br>realgud-loc=
als-mode realgud-breakpoint-mode realgud-backtrack-mode<br>realgud-track-mo=
de realgud-backtrace-mode realgud-track realgud-init<br>realgud-file realgu=
d-attach realgud-shortkey realgud-menu realgud-eval<br>realgud-cmds realgud=
-core realgud-reset realgud-bp realgud-bp-image-data<br>realgud-lang realgu=
d-send realgud-window realgud-buffer-helper<br>realgud-buffer-breakpoint re=
algud-buffer-backtrace realgud-locals<br>realgud-buffer-locals realgud-util=
s realgud-buffer-command<br>realgud-buffer-info realgud-regexp realgud-loch=
ist realgud-loc<br>realgud-buffer-source realgud-key realgud-custom key rea=
lgud-follow<br>loc-changes realgud-fringe realgud-helper load-relative inf-=
ruby rbenv<br>ruby-tools ruby-mode-expansions smartparens-ruby ruby-mode co=
unsel xdg<br>swiper smex ido cmake-mode smartparens-rst rst eshell-vterm em=
-term<br>vterm face-remap term ehelp vterm-module term/xterm xterm em-smart=
<br>eshell-syntax-highlighting em-alias esh-mode shrink-path fish-mode<br>f=
lycheck-plantuml plantuml-mode xml ob-plantuml graphviz-dot-mode<br>doc-vie=
w jka-compr image-mode exif cperl-mode-expansions cperl-mode<br>cua-base pa=
ckage-utils time ccls ccls-member-hierarchy<br>ccls-inheritance-hierarchy c=
cls-call-hierarchy ccls-tree ccls-code-lens<br>ccls-semantic-highlight ccls=
-common lsp-mode lsp-protocol spinner<br>network-stream puny nsm rmc smartp=
arens-markdown markdown-mode lv f<br>f-shortdoc shortdoc epg rfc6068 epg-co=
nfig which-key lpr<br>use-package-chords bind-chord equake buffer-focus-hoo=
k<br>org-capture-pop-frame org-capture org-refile web-server mm-encode<br>w=
eb-server-content-types web-server-status-codes eshell-git-prompt s<br>org-=
cua-dwim org-expiry el-get el-get-autoloading el-get-list-packages<br>el-ge=
t-dependencies el-get-build el-get-status el-get-methods<br>el-get-fossil e=
l-get-svn el-get-pacman el-get-github-zip<br>el-get-github-tar el-get-http-=
zip el-get-http-tar el-get-hg el-get-go<br>el-get-git-svn el-get-fink el-ge=
t-emacswiki el-get-http el-get-notify<br>el-get-emacsmirror el-get-github e=
l-get-git el-get-elpa el-get-darcs<br>el-get-cvs el-get-bzr el-get-brew el-=
get-builtin el-get-apt-get<br>el-get-recipes el-get-byte-compile el-get-cus=
tom el-get-core autoload<br>radix-tree validate req-package view req-packag=
e-cycles req-package-args<br>req-package-hooks ht inline log4e use-package =
use-package-ensure<br>use-package-delight use-package-diminish use-package-=
bind-key bind-key<br>use-package-core prelude-yaml prelude-xml nxml-mode-ex=
pansions rng-nxml<br>rng-valid rng-loc rng-uri rng-parse nxml-parse rng-mat=
ch rng-dt rng-util<br>rng-pttrn nxml-ns nxml-mode nxml-outln nxml-rap html-=
mode-expansions<br>sgml-mode facemenu dom nxml-util nxml-enc xmltok prelude=
-web<br>web-mode-expansions smartparens-html web-mode disp-table prelude-sh=
ell<br>sh-script smie executable prelude-ruby prelude-python prelude-perl<b=
r>prelude-org the-org-mode-expansions org-element avl-tree smartparens-org<=
br>org ob ob-tangle ob-ref ob-lob ob-table ob-exp org-macro org-footnote<br=
>org-src ob-comint org-pcomplete org-list org-faces org-entities noutline<b=
r>outline org-version ob-emacs-lisp ob-core ob-eval org-table oc-basic<br>b=
ibtex ol org-keys oc org-compat org-macs org-loaddefs cal-menu calendar<br>=
cal-loaddefs prelude-js js2-mode-expansions js2-mode js-mode-expansions<br>=
smartparens-javascript js cc-mode-expansions smartparens-c cc-mode<br>cc-fo=
nts cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars<br>cc-de=
fs prelude-emacs-lisp prelude-lisp prelude-c prelude-programming<br>flychec=
k find-func hl-todo compat compat-macs which-func<br>prelude-key-chord key-=
chord prelude-company company-oddmuse<br>company-keywords make-mode company=
-etags company-gtags<br>company-dabbrev-code company-dabbrev company-files =
company-clang<br>company-capf company-cmake company-semantic company-templa=
te<br>company-bbdb company prelude-ivy two-column ivy ivy-faces ivy-overlay=
<br>colir color prelude-erc erc-truncate erc-track erc-match erc-autoaway<b=
r>erc-spelling erc-notify erc-networks erc-log erc-goodies erc erc-backend<=
br>erc-loaddefs prelude-linux exec-path-from-shell<br>prelude-global-keybin=
dings warnings prelude-editor editorconfig<br>editorconfig-core editorconfi=
g-core-handle editorconfig-fnmatch<br>operate-on-number calc-bin calc-ext c=
alc calc-loaddefs calc-macs diff-hl<br>smartrep log-view pcvs-util vc-dir e=
woc vc vc-dispatcher diff-mode<br>winner undo-tree diff queue eshell esh-cm=
d esh-ext esh-opt esh-proc<br>esh-io esh-arg esh-module esh-groups esh-util=
 re-builder whitespace<br>tabify browse-kill-ring derived midnight ediff ed=
iff-merg ediff-mult<br>ediff-wind ediff-diff ediff-help ediff-init ediff-ut=
il dired-x dired<br>dired-loaddefs anzu avy projectile lisp-mnt mail-parse =
rfc2231 rfc2047<br>rfc2045 mm-util ietf-drums mail-prsvr grep compile ibuf-=
ext ibuffer<br>ibuffer-loaddefs bookmark text-property-search expand-region=
<br>text-mode-expansions er-basic-expansions expand-region-core<br>expand-r=
egion-custom flyspell ispell rect etags fileloop generator xref<br>project =
volatile-highlights hl-line super-save windmove recentf<br>tree-widget save=
hist saveplace diminish smartparens-config<br>smartparens-text smartparens =
advice dash autorevert filenotify delsel<br>prelude-mode edmacro kmacro cru=
x easy-mmode pcase tramp tramp-loaddefs<br>trampver tramp-integration files=
-x tramp-compat shell pcomplete comint<br>ansi-color ring parse-time iso860=
1 time-date ls-lisp format-spec<br>thingatpt imenu-anywhere imenu prelude-c=
ore epl prelude-ui zenburn-theme<br>prelude-custom prelude-packages cl-extr=
a help-mode finder-inf preload<br>cus-edit pp cus-load wid-edit ede/auto ei=
eio-base tex-site rx<br>realgud-recursive-autoloads cl info package browse-=
url url url-proxy<br>url-privacy url-expand url-methods url-history url-coo=
kie url-domsuf<br>url-util mailcap url-handlers url-parse auth-source cl-se=
q eieio<br>eieio-core cl-macs eieio-loaddefs password-cache json subr-x map=
<br>url-vars seq byte-opt gv bytecomp byte-compile cconv cl-loaddefs cl-lib=
<br>iso-transl tooltip eldoc paren electric uniquify ediff-hook vc-hooks<br=
>lisp-float-type elisp-mode mwheel term/x-win x-win term/common-win x-dnd<b=
r>tool-bar dnd fontset image regexp-opt fringe tabulated-list replace<br>ne=
wcomment text-mode lisp-mode prog-mode register page tab-bar menu-bar<br>rf=
n-eshadow isearch easymenu timer select scroll-bar mouse jit-lock<br>font-l=
ock syntax font-core term/tty-colors frame minibuffer cl-generic<br>cham ge=
orgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao<br>korean =
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech<br>european et=
hiopic indian cyrillic chinese composite emoji-zwj charscript<br>charprop c=
ase-table epa-hook jka-cmpr-hook help simple abbrev obarray<br>cl-preloaded=
 nadvice button loaddefs faces cus-face macroexp files<br>window text-prope=
rties overlay sha1 md5 base64 format env code-pages<br>mule custom widget h=
ashtable-print-readable backquote threads<br>xwidget-internal dbusbind inot=
ify lcms2 dynamic-setting<br>system-font-setting font-render-setting cairo =
move-toolbar gtk x-toolkit<br>x multi-tty make-network-process emacs)<br><b=
r>Memory information:<br>((conses 16 2427653 696067)<br>=C2=A0(symbols 48 8=
5570 62)<br>=C2=A0(strings 32 379359 114192)<br>=C2=A0(string-bytes 1 10987=
724)<br>=C2=A0(vectors 16 131074)<br>=C2=A0(vector-slots 8 2422995 586466)<=
br>=C2=A0(floats 8 1318 2569)<br>=C2=A0(intervals 56 140887 10141)<br>=C2=
=A0(buffers 992 28))<br></div></div></div></div>

--0000000000007c441405e188175c--




Acknowledgement sent to Jeff Kowalski <jeff.kowalski@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#56013; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 17 Jun 2022 12:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.